RequestIngestion is used to request ingestion of a listing into Zentail. Need to call BeginIngestion before calling this method.
You call thisScope not enforced
POST
/v2/storefront/listing/ingestion/request
const url = 'https://api.zentail.com/v2/storefront/listing/ingestion/request';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","productTypeId":"example","pivotAttributes":["example"],"attributes":[{"id":"example","textValue":"example","numericValue":1,"numericWithUnitsValue":{"numeric":1,"units":"example"},"multiTextValue":{"values":["example"]},"moneyValue":{"amount":"example","currencyCode":"example"},"multiObjectValue":{"items":[{"properties":{"additionalProperty":{"textValue":"example","numericValue":1,"numericWithUnitsValue":{"numeric":1,"units":"example"},"multiTextValue":{"values":["example"]},"moneyValue":{"amount":"example","currencyCode":"example"},"multiObjectValue":{}}}}]},"versionId":"example","updatedAt":"2026-04-15T12:00:00Z","submittedAt":"2026-04-15T12:00:00Z"}],"variants":[{"sku":"example","price":{"currencyCode":"example","units":"example","nanos":1},"attributes":[{"id":"example","textValue":"example","numericValue":1,"numericWithUnitsValue":{"numeric":1,"units":"example"},"multiTextValue":{"values":["example"]},"moneyValue":{"amount":"example","currencyCode":"example"},"multiObjectValue":{"items":[{"properties":{"additionalProperty":{"textValue":"example","numericValue":1,"numericWithUnitsValue":{"numeric":1,"units":"example"},"multiTextValue":{"values":["example"]},"moneyValue":{"amount":"example","currencyCode":"example"},"multiObjectValue":{}}}}]},"versionId":"example","updatedAt":"2026-04-15T12:00:00Z","submittedAt":"2026-04-15T12:00:00Z"}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/ingestion/request \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "productTypeId": "example", "pivotAttributes": [ "example" ], "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ], "variants": [ { "sku": "example", "price": { "currencyCode": "example", "units": "example", "nanos": 1 }, "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ] } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
RequestIngestionRequest is used to request ingestion of a listing into Zentail
object
id
An identifier for this listing that will then be used for the Product Group Label
string
productTypeId
string
pivotAttributes
The attribute IDs or names that this Listing pivots by (aka variation attributes, variant attributes)
Array<string>
attributes
Listing-level Attributes that are not variant-specific
Array<object>
Attribute has data that describes a Listing or a Listing's Variantsobject
id
string
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
Object supports a set of keys and values
object
items
Array<object>
object
properties
object
key
additional properties
object
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
object recursive
versionId
string
updatedAt
string format: date-time
submittedAt
string format: date-time
variants
Array<object>
object
sku
string
price
Represents an amount of money with its currency type.
object
currencyCode
The three-letter currency code defined in ISO 4217.
string
units
The whole units of the amount.
For example if currencyCode is "USD", then 1 unit is one US dollar.
string format: int64
nanos
Number of nano (10^-9) units of the amount.
The value must be between -999,999,999 and +999,999,999 inclusive.
If units is positive, nanos must be positive or zero.
If units is zero, nanos can be positive, zero, or negative.
If units is negative, nanos must be negative or zero.
For example $-1.75 is represented as units=-1 and nanos=-750,000,000.
integer format: int32
attributes
Array<object>
Attribute has data that describes a Listing or a Listing's Variantsobject
id
string
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
Object supports a set of keys and values
object
items
Array<object>
object
properties
object
key
additional properties
object
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
object recursive
versionId
string
updatedAt
string format: date-time
submittedAt
string format: date-time
Examplegenerated
{ "id": "example", "productTypeId": "example", "pivotAttributes": [ "example" ], "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ], "variants": [ { "sku": "example", "price": { "currencyCode": "example", "units": "example", "nanos": 1 }, "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ] } ]}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
RequestIngestionResponse is used to return the response of the RequestIngestion
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}